# KubernetesClusterEntities

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**Nodepools** | Pointer to [**KubernetesNodePools**](KubernetesNodePools.md) |  | [optional] |

## Methods

### NewKubernetesClusterEntities

`func NewKubernetesClusterEntities() *KubernetesClusterEntities`

NewKubernetesClusterEntities instantiates a new KubernetesClusterEntities object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewKubernetesClusterEntitiesWithDefaults

`func NewKubernetesClusterEntitiesWithDefaults() *KubernetesClusterEntities`

NewKubernetesClusterEntitiesWithDefaults instantiates a new KubernetesClusterEntities object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetNodepools

`func (o *KubernetesClusterEntities) GetNodepools() KubernetesNodePools`

GetNodepools returns the Nodepools field if non-nil, zero value otherwise.

### GetNodepoolsOk

`func (o *KubernetesClusterEntities) GetNodepoolsOk() (*KubernetesNodePools, bool)`

GetNodepoolsOk returns a tuple with the Nodepools field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetNodepools

`func (o *KubernetesClusterEntities) SetNodepools(v KubernetesNodePools)`

SetNodepools sets Nodepools field to given value.

### HasNodepools

`func (o *KubernetesClusterEntities) HasNodepools() bool`

HasNodepools returns a boolean if a field has been set.



